%   script  trapzint.m %----------------------------------------------- 
%   Программа предназначена для вычисления
%   определенного интеграла по заданной табличной функции;
clc;clear; 
%datamod = ' 18.04.2019'; % последняя версия программы
datamod = ' 20.04.2019'; % последняя версия программы

% цикл для выбора пунктов меню  
% и вызов соответствующих функций для выполнения пунктов меню
while (true)
    
     % вызов функции mainmenu для вывода меню и выбора пункта меню в key  
    key = mainmenu();
    
   switch key % выбор key 
         case 1 % вызов функции demo для  показа демонстрации программы
              demo();
         case 2 % вызов функции calcint для  ввода табл. заданной функции
                % параметров интегрирования, расчет интеграла, вывод графика  
              calcint(); 
         case 3 % вызов функции about для вывода информации о программе 
                % и пользователе
              about(datamod);
         case 4  % выход  из программы
              close all; clear; clc; break; 
      otherwise 
            continue;
   end
% Подсказа для пользователя - продолжить программу или закончить?
s = 'Вернуться в главное меню? Да(y)/Нет(Другой любой символ) + Enter';   
fprintf('%s\n',s);
s = input('Ваш выбор?:','s'); % ввод пользователя
    if (s ~= 'y')   % если нажата клавиша y + Enter
       close all; clear; clc; break; % выход из программы
    end


end
%   end script trapzint.m %---------------------------------------------